import { LambdaClient } from "./LambdaClient";
import { AddLayerVersionPermissionInput } from "./types/AddLayerVersionPermissionInput";
import { AddLayerVersionPermissionOutput } from "./types/AddLayerVersionPermissionOutput";
import { AddPermissionInput } from "./types/AddPermissionInput";
import { AddPermissionOutput } from "./types/AddPermissionOutput";
import { CreateAliasInput } from "./types/CreateAliasInput";
import { CreateAliasOutput } from "./types/CreateAliasOutput";
import { CreateEventSourceMappingInput } from "./types/CreateEventSourceMappingInput";
import { CreateEventSourceMappingOutput } from "./types/CreateEventSourceMappingOutput";
import { CreateFunctionInput } from "./types/CreateFunctionInput";
import { CreateFunctionOutput } from "./types/CreateFunctionOutput";
import { DeleteAliasInput } from "./types/DeleteAliasInput";
import { DeleteAliasOutput } from "./types/DeleteAliasOutput";
import { DeleteEventSourceMappingInput } from "./types/DeleteEventSourceMappingInput";
import { DeleteEventSourceMappingOutput } from "./types/DeleteEventSourceMappingOutput";
import { DeleteFunctionConcurrencyInput } from "./types/DeleteFunctionConcurrencyInput";
import { DeleteFunctionConcurrencyOutput } from "./types/DeleteFunctionConcurrencyOutput";
import { DeleteFunctionInput } from "./types/DeleteFunctionInput";
import { DeleteFunctionOutput } from "./types/DeleteFunctionOutput";
import { DeleteLayerVersionInput } from "./types/DeleteLayerVersionInput";
import { DeleteLayerVersionOutput } from "./types/DeleteLayerVersionOutput";
import { GetAccountSettingsInput } from "./types/GetAccountSettingsInput";
import { GetAccountSettingsOutput } from "./types/GetAccountSettingsOutput";
import { GetAliasInput } from "./types/GetAliasInput";
import { GetAliasOutput } from "./types/GetAliasOutput";
import { GetEventSourceMappingInput } from "./types/GetEventSourceMappingInput";
import { GetEventSourceMappingOutput } from "./types/GetEventSourceMappingOutput";
import { GetFunctionConfigurationInput } from "./types/GetFunctionConfigurationInput";
import { GetFunctionConfigurationOutput } from "./types/GetFunctionConfigurationOutput";
import { GetFunctionInput } from "./types/GetFunctionInput";
import { GetFunctionOutput } from "./types/GetFunctionOutput";
import { GetLayerVersionByArnInput } from "./types/GetLayerVersionByArnInput";
import { GetLayerVersionByArnOutput } from "./types/GetLayerVersionByArnOutput";
import { GetLayerVersionInput } from "./types/GetLayerVersionInput";
import { GetLayerVersionOutput } from "./types/GetLayerVersionOutput";
import { GetLayerVersionPolicyInput } from "./types/GetLayerVersionPolicyInput";
import { GetLayerVersionPolicyOutput } from "./types/GetLayerVersionPolicyOutput";
import { GetPolicyInput } from "./types/GetPolicyInput";
import { GetPolicyOutput } from "./types/GetPolicyOutput";
import { InvokeAsyncInput } from "./types/InvokeAsyncInput";
import { InvokeAsyncOutput } from "./types/InvokeAsyncOutput";
import { InvokeInput } from "./types/InvokeInput";
import { InvokeOutput } from "./types/InvokeOutput";
import { ListAliasesInput } from "./types/ListAliasesInput";
import { ListAliasesOutput } from "./types/ListAliasesOutput";
import { ListEventSourceMappingsInput } from "./types/ListEventSourceMappingsInput";
import { ListEventSourceMappingsOutput } from "./types/ListEventSourceMappingsOutput";
import { ListFunctionsInput } from "./types/ListFunctionsInput";
import { ListFunctionsOutput } from "./types/ListFunctionsOutput";
import { ListLayerVersionsInput } from "./types/ListLayerVersionsInput";
import { ListLayerVersionsOutput } from "./types/ListLayerVersionsOutput";
import { ListLayersInput } from "./types/ListLayersInput";
import { ListLayersOutput } from "./types/ListLayersOutput";
import { ListTagsInput } from "./types/ListTagsInput";
import { ListTagsOutput } from "./types/ListTagsOutput";
import { ListVersionsByFunctionInput } from "./types/ListVersionsByFunctionInput";
import { ListVersionsByFunctionOutput } from "./types/ListVersionsByFunctionOutput";
import { PublishLayerVersionInput } from "./types/PublishLayerVersionInput";
import { PublishLayerVersionOutput } from "./types/PublishLayerVersionOutput";
import { PublishVersionInput } from "./types/PublishVersionInput";
import { PublishVersionOutput } from "./types/PublishVersionOutput";
import { PutFunctionConcurrencyInput } from "./types/PutFunctionConcurrencyInput";
import { PutFunctionConcurrencyOutput } from "./types/PutFunctionConcurrencyOutput";
import { RemoveLayerVersionPermissionInput } from "./types/RemoveLayerVersionPermissionInput";
import { RemoveLayerVersionPermissionOutput } from "./types/RemoveLayerVersionPermissionOutput";
import { RemovePermissionInput } from "./types/RemovePermissionInput";
import { RemovePermissionOutput } from "./types/RemovePermissionOutput";
import { TagResourceInput } from "./types/TagResourceInput";
import { TagResourceOutput } from "./types/TagResourceOutput";
import { UntagResourceInput } from "./types/UntagResourceInput";
import { UntagResourceOutput } from "./types/UntagResourceOutput";
import { UpdateAliasInput } from "./types/UpdateAliasInput";
import { UpdateAliasOutput } from "./types/UpdateAliasOutput";
import { UpdateEventSourceMappingInput } from "./types/UpdateEventSourceMappingInput";
import { UpdateEventSourceMappingOutput } from "./types/UpdateEventSourceMappingOutput";
import { UpdateFunctionCodeInput } from "./types/UpdateFunctionCodeInput";
import { UpdateFunctionCodeOutput } from "./types/UpdateFunctionCodeOutput";
import { UpdateFunctionConfigurationInput } from "./types/UpdateFunctionConfigurationInput";
import { UpdateFunctionConfigurationOutput } from "./types/UpdateFunctionConfigurationOutput";
export declare class Lambda extends LambdaClient {
    /**
     * <p>Adds permissions to the resource-based policy of a version of an <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-layers.html">AWS Lambda layer</a>. Use this action to grant layer usage permission to other accounts. You can grant permission to a single account, all AWS accounts, or all accounts in an organization.</p> <p>To revoke permission, call <a>RemoveLayerVersionPermission</a> with the statement ID that you specified when you added it.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {ResourceConflictException} <p>The resource already exists.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {PolicyLengthExceededException} <p>The permissions policy for the resource is too large. <a href="https://docs.aws.amazon.com/lambda/latest/dg/limits.html">Learn more</a> </p>
     *   - {PreconditionFailedException} <p>The RevisionId provided does not match the latest RevisionId for the Lambda function or alias. Call the <code>GetFunction</code> or the <code>GetAlias</code> API to retrieve the latest RevisionId for your resource.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    addLayerVersionPermission(args: AddLayerVersionPermissionInput): Promise<AddLayerVersionPermissionOutput>;
    addLayerVersionPermission(args: AddLayerVersionPermissionInput, cb: (err: any, data?: AddLayerVersionPermissionOutput) => void): void;
    /**
     * <p>Grants an AWS service or another account permission to use a function. You can apply the policy at the function level, or specify a qualifier to restrict access to a single version or alias. If you use a qualifier, the invoker must use the full Amazon Resource Name (ARN) of that version or alias to invoke the function.</p> <p>To grant permission to another account, specify the account ID as the <code>Principal</code>. For AWS services, the principal is a domain-style identifier defined by the service, like <code>s3.amazonaws.com</code> or <code>sns.amazonaws.com</code>. For AWS services, you can also specify the ARN or owning account of the associated resource as the <code>SourceArn</code> or <code>SourceAccount</code>. If you grant permission to a service principal without specifying the source, other accounts could potentially configure resources in their account to invoke your Lambda function.</p> <p>This action adds a statement to a resource-based permission policy for the function. For more information about function policies, see <a href="https://docs.aws.amazon.com/lambda/latest/dg/access-control-resource-based.html">Lambda Function Policies</a>. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {ResourceConflictException} <p>The resource already exists.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {PolicyLengthExceededException} <p>The permissions policy for the resource is too large. <a href="https://docs.aws.amazon.com/lambda/latest/dg/limits.html">Learn more</a> </p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {PreconditionFailedException} <p>The RevisionId provided does not match the latest RevisionId for the Lambda function or alias. Call the <code>GetFunction</code> or the <code>GetAlias</code> API to retrieve the latest RevisionId for your resource.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    addPermission(args: AddPermissionInput): Promise<AddPermissionOutput>;
    addPermission(args: AddPermissionInput, cb: (err: any, data?: AddPermissionOutput) => void): void;
    /**
     * <p>Creates an <a href="https://docs.aws.amazon.com/lambda/latest/dg/versioning-aliases.html">alias</a> for a Lambda function version. Use aliases to provide clients with a function identifier that you can update to invoke a different version.</p> <p>You can also map an alias to split invocation requests between two versions. Use the <code>RoutingConfig</code> parameter to specify a second version and the percentage of invocation requests that it receives.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {ResourceConflictException} <p>The resource already exists.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createAlias(args: CreateAliasInput): Promise<CreateAliasOutput>;
    createAlias(args: CreateAliasInput, cb: (err: any, data?: CreateAliasOutput) => void): void;
    /**
     * <p>Creates a mapping between an event source and an AWS Lambda function. Lambda reads items from the event source and triggers the function.</p> <p>For details about each event source type, see the following topics.</p> <ul> <li> <p> <a href="https://docs.aws.amazon.com/lambda/latest/dg/with-kinesis.html">Using AWS Lambda with Amazon Kinesis</a> </p> </li> <li> <p> <a href="https://docs.aws.amazon.com/lambda/latest/dg/with-sqs.html">Using AWS Lambda with Amazon SQS</a> </p> </li> <li> <p> <a href="https://docs.aws.amazon.com/lambda/latest/dg/with-ddb.html">Using AWS Lambda with Amazon DynamoDB</a> </p> </li> </ul>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {ResourceConflictException} <p>The resource already exists.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createEventSourceMapping(args: CreateEventSourceMappingInput): Promise<CreateEventSourceMappingOutput>;
    createEventSourceMapping(args: CreateEventSourceMappingInput, cb: (err: any, data?: CreateEventSourceMappingOutput) => void): void;
    /**
     * <p>Creates a Lambda function. To create a function, you need a <a href="https://docs.aws.amazon.com/lambda/latest/dg/deployment-package-v2.html">deployment package</a> and an <a href="https://docs.aws.amazon.com/lambda/latest/dg/intro-permission-model.html#lambda-intro-execution-role">execution role</a>. The deployment package contains your function code. The execution role grants the function permission to use AWS services, such as Amazon CloudWatch Logs for log streaming and AWS X-Ray for request tracing.</p> <p>A function has an unpublished version, and can have published versions and aliases. The unpublished version changes when you update your function's code and configuration. A published version is a snapshot of your function code and configuration that can't be changed. An alias is a named resource that maps to a version, and can be changed to map to a different version. Use the <code>Publish</code> parameter to create version <code>1</code> of your function from its initial configuration.</p> <p>The other parameters let you configure version-specific and function-level settings. You can modify version-specific settings later with <a>UpdateFunctionConfiguration</a>. Function-level settings apply to both the unpublished and published versions of the function, and include tags (<a>TagResource</a>) and per-function concurrency limits (<a>PutFunctionConcurrency</a>).</p> <p>If another account or an AWS service invokes your function, use <a>AddPermission</a> to grant permission by creating a resource-based IAM policy. You can grant permissions at the function level, on a version, or on an alias.</p> <p>To invoke your function directly, use <a>Invoke</a>. To invoke your function in response to events in other AWS services, create an event source mapping (<a>CreateEventSourceMapping</a>), or configure a function trigger in the other service. For more information, see <a href="https://docs.aws.amazon.com/lambda/latest/dg/invoking-lambda-functions.html">Invoking Functions</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {ResourceConflictException} <p>The resource already exists.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {CodeStorageExceededException} <p>You have exceeded your maximum total code size per account. <a href="https://docs.aws.amazon.com/lambda/latest/dg/limits.html">Learn more</a> </p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createFunction(args: CreateFunctionInput): Promise<CreateFunctionOutput>;
    createFunction(args: CreateFunctionInput, cb: (err: any, data?: CreateFunctionOutput) => void): void;
    /**
     * <p>Deletes a Lambda function <a href="https://docs.aws.amazon.com/lambda/latest/dg/versioning-aliases.html">alias</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteAlias(args: DeleteAliasInput): Promise<DeleteAliasOutput>;
    deleteAlias(args: DeleteAliasInput, cb: (err: any, data?: DeleteAliasOutput) => void): void;
    /**
     * <p>Deletes an <a href="https://docs.aws.amazon.com/lambda/latest/dg/intro-invocation-modes.html">event source mapping</a>. You can get the identifier of a mapping from the output of <a>ListEventSourceMappings</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {ResourceInUseException} <p>The operation conflicts with the resource's availability. For example, you attempted to update an EventSource Mapping in CREATING, or tried to delete a EventSource mapping currently in the UPDATING state. </p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteEventSourceMapping(args: DeleteEventSourceMappingInput): Promise<DeleteEventSourceMappingOutput>;
    deleteEventSourceMapping(args: DeleteEventSourceMappingInput, cb: (err: any, data?: DeleteEventSourceMappingOutput) => void): void;
    /**
     * <p>Deletes a Lambda function. To delete a specific function version, use the <code>Qualifier</code> parameter. Otherwise, all versions and aliases are deleted.</p> <p>To delete Lambda event source mappings that invoke a function, use <a>DeleteEventSourceMapping</a>. For AWS services and resources that invoke your function directly, delete the trigger in the service where you originally configured it.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {ResourceConflictException} <p>The resource already exists.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteFunction(args: DeleteFunctionInput): Promise<DeleteFunctionOutput>;
    deleteFunction(args: DeleteFunctionInput, cb: (err: any, data?: DeleteFunctionOutput) => void): void;
    /**
     * <p>Removes a concurrent execution limit from a function.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteFunctionConcurrency(args: DeleteFunctionConcurrencyInput): Promise<DeleteFunctionConcurrencyOutput>;
    deleteFunctionConcurrency(args: DeleteFunctionConcurrencyInput, cb: (err: any, data?: DeleteFunctionConcurrencyOutput) => void): void;
    /**
     * <p>Deletes a version of an <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-layers.html">AWS Lambda layer</a>. Deleted versions can no longer be viewed or added to functions. To avoid breaking functions, a copy of the version remains in Lambda until no functions refer to it.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteLayerVersion(args: DeleteLayerVersionInput): Promise<DeleteLayerVersionOutput>;
    deleteLayerVersion(args: DeleteLayerVersionInput, cb: (err: any, data?: DeleteLayerVersionOutput) => void): void;
    /**
     * <p>Retrieves details about your account's <a href="https://docs.aws.amazon.com/lambda/latest/dg/limits.html">limits</a> and usage in an AWS Region.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getAccountSettings(args: GetAccountSettingsInput): Promise<GetAccountSettingsOutput>;
    getAccountSettings(args: GetAccountSettingsInput, cb: (err: any, data?: GetAccountSettingsOutput) => void): void;
    /**
     * <p>Returns details about a Lambda function <a href="https://docs.aws.amazon.com/lambda/latest/dg/versioning-aliases.html">alias</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getAlias(args: GetAliasInput): Promise<GetAliasOutput>;
    getAlias(args: GetAliasInput, cb: (err: any, data?: GetAliasOutput) => void): void;
    /**
     * <p>Returns details about an event source mapping. You can get the identifier of a mapping from the output of <a>ListEventSourceMappings</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getEventSourceMapping(args: GetEventSourceMappingInput): Promise<GetEventSourceMappingOutput>;
    getEventSourceMapping(args: GetEventSourceMappingInput, cb: (err: any, data?: GetEventSourceMappingOutput) => void): void;
    /**
     * <p>Returns information about the function or function version, with a link to download the deployment package that's valid for 10 minutes. If you specify a function version, only details that are specific to that version are returned.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getFunction(args: GetFunctionInput): Promise<GetFunctionOutput>;
    getFunction(args: GetFunctionInput, cb: (err: any, data?: GetFunctionOutput) => void): void;
    /**
     * <p>Returns the version-specific settings of a Lambda function or version. The output includes only options that can vary between versions of a function. To modify these settings, use <a>UpdateFunctionConfiguration</a>.</p> <p>To get all of a function's details, including function-level settings, use <a>GetFunction</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getFunctionConfiguration(args: GetFunctionConfigurationInput): Promise<GetFunctionConfigurationOutput>;
    getFunctionConfiguration(args: GetFunctionConfigurationInput, cb: (err: any, data?: GetFunctionConfigurationOutput) => void): void;
    /**
     * <p>Returns information about a version of an <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-layers.html">AWS Lambda layer</a>, with a link to download the layer archive that's valid for 10 minutes.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getLayerVersion(args: GetLayerVersionInput): Promise<GetLayerVersionOutput>;
    getLayerVersion(args: GetLayerVersionInput, cb: (err: any, data?: GetLayerVersionOutput) => void): void;
    /**
     * <p>Returns information about a version of an <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-layers.html">AWS Lambda layer</a>, with a link to download the layer archive that's valid for 10 minutes.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getLayerVersionByArn(args: GetLayerVersionByArnInput): Promise<GetLayerVersionByArnOutput>;
    getLayerVersionByArn(args: GetLayerVersionByArnInput, cb: (err: any, data?: GetLayerVersionByArnOutput) => void): void;
    /**
     * <p>Returns the permission policy for a version of an <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-layers.html">AWS Lambda layer</a>. For more information, see <a>AddLayerVersionPermission</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getLayerVersionPolicy(args: GetLayerVersionPolicyInput): Promise<GetLayerVersionPolicyOutput>;
    getLayerVersionPolicy(args: GetLayerVersionPolicyInput, cb: (err: any, data?: GetLayerVersionPolicyOutput) => void): void;
    /**
     * <p>Returns the <a href="https://docs.aws.amazon.com/lambda/latest/dg/access-control-resource-based.html">resource-based IAM policy</a> for a function, version, or alias.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getPolicy(args: GetPolicyInput): Promise<GetPolicyOutput>;
    getPolicy(args: GetPolicyInput, cb: (err: any, data?: GetPolicyOutput) => void): void;
    /**
     * <p>Invokes a Lambda function. You can invoke a function synchronously (and wait for the response), or asynchronously. To invoke a function asynchronously, set <code>InvocationType</code> to <code>Event</code>.</p> <p>For synchronous invocation, details about the function response, including errors, are included in the response body and headers. For either invocation type, you can find more information in the <a href="https://docs.aws.amazon.com/lambda/latest/dg/monitoring-functions.html">execution log</a> and <a href="https://docs.aws.amazon.com/lambda/latest/dg/dlq.html">trace</a>. To record function errors for asynchronous invocations, configure your function with a <a href="https://docs.aws.amazon.com/lambda/latest/dg/dlq.html">dead letter queue</a>.</p> <p>When an error occurs, your function may be invoked multiple times. Retry behavior varies by error type, client, event source, and invocation type. For example, if you invoke a function asynchronously and it returns an error, Lambda executes the function up to two more times. For more information, see <a href="https://docs.aws.amazon.com/lambda/latest/dg/retries-on-errors.html">Retry Behavior</a>.</p> <p>The status code in the API response doesn't reflect function errors. Error codes are reserved for errors that prevent your function from executing, such as permissions errors, <a href="https://docs.aws.amazon.com/lambda/latest/dg/limits.html">limit errors</a>, or issues with your function's code and configuration. For example, Lambda returns <code>TooManyRequestsException</code> if executing the function would cause you to exceed a concurrency limit at either the account level (<code>ConcurrentInvocationLimitExceeded</code>) or function level (<code>ReservedFunctionConcurrentInvocationLimitExceeded</code>).</p> <p>For functions with a long timeout, your client might be disconnected during synchronous invocation while it waits for a response. Configure your HTTP client, SDK, firewall, proxy, or operating system to allow for long connections with timeout or keep-alive settings.</p> <p>This operation requires permission for the <code>lambda:InvokeFunction</code> action.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidRequestContentException} <p>The request body could not be parsed as JSON.</p>
     *   - {RequestTooLargeException} <p>The request payload exceeded the <code>Invoke</code> request body JSON input limit. For more information, see <a href="https://docs.aws.amazon.com/lambda/latest/dg/limits.html">Limits</a>. </p>
     *   - {UnsupportedMediaTypeException} <p>The content type of the <code>Invoke</code> request body is not JSON.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {EC2UnexpectedException} <p>AWS Lambda received an unexpected EC2 client exception while setting up for the Lambda function.</p>
     *   - {SubnetIPAddressLimitReachedException} <p>AWS Lambda was not able to set up VPC access for the Lambda function because one or more configured subnets has no available IP addresses.</p>
     *   - {ENILimitReachedException} <p>AWS Lambda was not able to create an Elastic Network Interface (ENI) in the VPC, specified as part of Lambda function configuration, because the limit for network interfaces has been reached.</p>
     *   - {EC2ThrottledException} <p>AWS Lambda was throttled by Amazon EC2 during Lambda function initialization using the execution role provided for the Lambda function.</p>
     *   - {EC2AccessDeniedException} <p>Need additional permissions to configure VPC settings.</p>
     *   - {InvalidSubnetIDException} <p>The Subnet ID provided in the Lambda function VPC configuration is invalid.</p>
     *   - {InvalidSecurityGroupIDException} <p>The Security Group ID provided in the Lambda function VPC configuration is invalid.</p>
     *   - {InvalidZipFileException} <p>AWS Lambda could not unzip the deployment package.</p>
     *   - {KMSDisabledException} <p>Lambda was unable to decrypt the environment variables because the KMS key used is disabled. Check the Lambda function's KMS key settings.</p>
     *   - {KMSInvalidStateException} <p>Lambda was unable to decrypt the environment variables because the KMS key used is in an invalid state for Decrypt. Check the function's KMS key settings.</p>
     *   - {KMSAccessDeniedException} <p>Lambda was unable to decrypt the environment variables because KMS access was denied. Check the Lambda function's KMS permissions.</p>
     *   - {KMSNotFoundException} <p>Lambda was unable to decrypt the environment variables because the KMS key was not found. Check the function's KMS key settings. </p>
     *   - {InvalidRuntimeException} <p>The runtime or runtime version specified is not supported.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    invoke(args: InvokeInput): Promise<InvokeOutput>;
    invoke(args: InvokeInput, cb: (err: any, data?: InvokeOutput) => void): void;
    /**
     * <important> <p>For asynchronous function invocation, use <a>Invoke</a>.</p> </important> <p>Invokes a function asynchronously.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidRequestContentException} <p>The request body could not be parsed as JSON.</p>
     *   - {InvalidRuntimeException} <p>The runtime or runtime version specified is not supported.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    invokeAsync(args: InvokeAsyncInput): Promise<InvokeAsyncOutput>;
    invokeAsync(args: InvokeAsyncInput, cb: (err: any, data?: InvokeAsyncOutput) => void): void;
    /**
     * <p>Returns a list of <a href="https://docs.aws.amazon.com/lambda/latest/dg/versioning-aliases.html">aliases</a> for a Lambda function.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listAliases(args: ListAliasesInput): Promise<ListAliasesOutput>;
    listAliases(args: ListAliasesInput, cb: (err: any, data?: ListAliasesOutput) => void): void;
    /**
     * <p>Lists event source mappings. Specify an <code>EventSourceArn</code> to only show event source mappings for a single event source.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listEventSourceMappings(args: ListEventSourceMappingsInput): Promise<ListEventSourceMappingsOutput>;
    listEventSourceMappings(args: ListEventSourceMappingsInput, cb: (err: any, data?: ListEventSourceMappingsOutput) => void): void;
    /**
     * <p>Returns a list of Lambda functions, with the version-specific configuration of each.</p> <p>Set <code>FunctionVersion</code> to <code>ALL</code> to include all published versions of each function in addition to the unpublished version. To get more information about a function or version, use <a>GetFunction</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listFunctions(args: ListFunctionsInput): Promise<ListFunctionsOutput>;
    listFunctions(args: ListFunctionsInput, cb: (err: any, data?: ListFunctionsOutput) => void): void;
    /**
     * <p>Lists the versions of an <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-layers.html">AWS Lambda layer</a>. Versions that have been deleted aren't listed. Specify a <a href="https://docs.aws.amazon.com/lambda/latest/dg/lambda-runtimes.html">runtime identifier</a> to list only versions that indicate that they're compatible with that runtime.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listLayerVersions(args: ListLayerVersionsInput): Promise<ListLayerVersionsOutput>;
    listLayerVersions(args: ListLayerVersionsInput, cb: (err: any, data?: ListLayerVersionsOutput) => void): void;
    /**
     * <p>Lists <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-layers.html">AWS Lambda layers</a> and shows information about the latest version of each. Specify a <a href="https://docs.aws.amazon.com/lambda/latest/dg/lambda-runtimes.html">runtime identifier</a> to list only layers that indicate that they're compatible with that runtime.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listLayers(args: ListLayersInput): Promise<ListLayersOutput>;
    listLayers(args: ListLayersInput, cb: (err: any, data?: ListLayersOutput) => void): void;
    /**
     * <p>Returns a function's <a href="https://docs.aws.amazon.com/lambda/latest/dg/tagging.html">tags</a>. You can also view tags with <a>GetFunction</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listTags(args: ListTagsInput): Promise<ListTagsOutput>;
    listTags(args: ListTagsInput, cb: (err: any, data?: ListTagsOutput) => void): void;
    /**
     * <p>Returns a list of <a href="https://docs.aws.amazon.com/lambda/latest/dg/versioning-aliases.html">versions</a>, with the version-specific configuration of each. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listVersionsByFunction(args: ListVersionsByFunctionInput): Promise<ListVersionsByFunctionOutput>;
    listVersionsByFunction(args: ListVersionsByFunctionInput, cb: (err: any, data?: ListVersionsByFunctionOutput) => void): void;
    /**
     * <p>Creates an <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-layers.html">AWS Lambda layer</a> from a ZIP archive. Each time you call <code>PublishLayerVersion</code> with the same version name, a new version is created.</p> <p>Add layers to your function with <a>CreateFunction</a> or <a>UpdateFunctionConfiguration</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {CodeStorageExceededException} <p>You have exceeded your maximum total code size per account. <a href="https://docs.aws.amazon.com/lambda/latest/dg/limits.html">Learn more</a> </p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    publishLayerVersion(args: PublishLayerVersionInput): Promise<PublishLayerVersionOutput>;
    publishLayerVersion(args: PublishLayerVersionInput, cb: (err: any, data?: PublishLayerVersionOutput) => void): void;
    /**
     * <p>Creates a <a href="https://docs.aws.amazon.com/lambda/latest/dg/versioning-aliases.html">version</a> from the current code and configuration of a function. Use versions to create a snapshot of your function code and configuration that doesn't change.</p> <p>AWS Lambda doesn't publish a version if the function's configuration and code haven't changed since the last version. Use <a>UpdateFunctionCode</a> or <a>UpdateFunctionConfiguration</a> to update the function before publishing a version.</p> <p>Clients can invoke versions directly or with an alias. To create an alias, use <a>CreateAlias</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {CodeStorageExceededException} <p>You have exceeded your maximum total code size per account. <a href="https://docs.aws.amazon.com/lambda/latest/dg/limits.html">Learn more</a> </p>
     *   - {PreconditionFailedException} <p>The RevisionId provided does not match the latest RevisionId for the Lambda function or alias. Call the <code>GetFunction</code> or the <code>GetAlias</code> API to retrieve the latest RevisionId for your resource.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    publishVersion(args: PublishVersionInput): Promise<PublishVersionOutput>;
    publishVersion(args: PublishVersionInput, cb: (err: any, data?: PublishVersionOutput) => void): void;
    /**
     * <p>Sets the maximum number of simultaneous executions for a function, and reserves capacity for that concurrency level.</p> <p>Concurrency settings apply to the function as a whole, including all published versions and the unpublished version. Reserving concurrency both ensures that your function has capacity to process the specified number of events simultaneously, and prevents it from scaling beyond that level. Use <a>GetFunction</a> to see the current setting for a function.</p> <p>Use <a>GetAccountSettings</a> to see your regional concurrency limit. You can reserve concurrency for as many functions as you like, as long as you leave at least 100 simultaneous executions unreserved for functions that aren't configured with a per-function limit. For more information, see <a href="https://docs.aws.amazon.com/lambda/latest/dg/concurrent-executions.html">Managing Concurrency</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putFunctionConcurrency(args: PutFunctionConcurrencyInput): Promise<PutFunctionConcurrencyOutput>;
    putFunctionConcurrency(args: PutFunctionConcurrencyInput, cb: (err: any, data?: PutFunctionConcurrencyOutput) => void): void;
    /**
     * <p>Removes a statement from the permissions policy for a version of an <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-layers.html">AWS Lambda layer</a>. For more information, see <a>AddLayerVersionPermission</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {PreconditionFailedException} <p>The RevisionId provided does not match the latest RevisionId for the Lambda function or alias. Call the <code>GetFunction</code> or the <code>GetAlias</code> API to retrieve the latest RevisionId for your resource.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    removeLayerVersionPermission(args: RemoveLayerVersionPermissionInput): Promise<RemoveLayerVersionPermissionOutput>;
    removeLayerVersionPermission(args: RemoveLayerVersionPermissionInput, cb: (err: any, data?: RemoveLayerVersionPermissionOutput) => void): void;
    /**
     * <p>Revokes function-use permission from an AWS service or another account. You can get the ID of the statement from the output of <a>GetPolicy</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {PreconditionFailedException} <p>The RevisionId provided does not match the latest RevisionId for the Lambda function or alias. Call the <code>GetFunction</code> or the <code>GetAlias</code> API to retrieve the latest RevisionId for your resource.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    removePermission(args: RemovePermissionInput): Promise<RemovePermissionOutput>;
    removePermission(args: RemovePermissionInput, cb: (err: any, data?: RemovePermissionOutput) => void): void;
    /**
     * <p>Adds <a href="https://docs.aws.amazon.com/lambda/latest/dg/tagging.html">tags</a> to a function.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    tagResource(args: TagResourceInput): Promise<TagResourceOutput>;
    tagResource(args: TagResourceInput, cb: (err: any, data?: TagResourceOutput) => void): void;
    /**
     * <p>Removes <a href="https://docs.aws.amazon.com/lambda/latest/dg/tagging.html">tags</a> from a function.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    untagResource(args: UntagResourceInput): Promise<UntagResourceOutput>;
    untagResource(args: UntagResourceInput, cb: (err: any, data?: UntagResourceOutput) => void): void;
    /**
     * <p>Updates the configuration of a Lambda function <a href="https://docs.aws.amazon.com/lambda/latest/dg/versioning-aliases.html">alias</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {PreconditionFailedException} <p>The RevisionId provided does not match the latest RevisionId for the Lambda function or alias. Call the <code>GetFunction</code> or the <code>GetAlias</code> API to retrieve the latest RevisionId for your resource.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateAlias(args: UpdateAliasInput): Promise<UpdateAliasOutput>;
    updateAlias(args: UpdateAliasInput, cb: (err: any, data?: UpdateAliasOutput) => void): void;
    /**
     * <p>Updates an event source mapping. You can change the function that AWS Lambda invokes, or pause invocation and resume later from the same location.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {ResourceConflictException} <p>The resource already exists.</p>
     *   - {ResourceInUseException} <p>The operation conflicts with the resource's availability. For example, you attempted to update an EventSource Mapping in CREATING, or tried to delete a EventSource mapping currently in the UPDATING state. </p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateEventSourceMapping(args: UpdateEventSourceMappingInput): Promise<UpdateEventSourceMappingOutput>;
    updateEventSourceMapping(args: UpdateEventSourceMappingInput, cb: (err: any, data?: UpdateEventSourceMappingOutput) => void): void;
    /**
     * <p>Updates a Lambda function's code.</p> <p>The function's code is locked when you publish a version. You can't modify the code of a published version, only the unpublished version.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {CodeStorageExceededException} <p>You have exceeded your maximum total code size per account. <a href="https://docs.aws.amazon.com/lambda/latest/dg/limits.html">Learn more</a> </p>
     *   - {PreconditionFailedException} <p>The RevisionId provided does not match the latest RevisionId for the Lambda function or alias. Call the <code>GetFunction</code> or the <code>GetAlias</code> API to retrieve the latest RevisionId for your resource.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateFunctionCode(args: UpdateFunctionCodeInput): Promise<UpdateFunctionCodeOutput>;
    updateFunctionCode(args: UpdateFunctionCodeInput, cb: (err: any, data?: UpdateFunctionCodeOutput) => void): void;
    /**
     * <p>Modify the version-specific settings of a Lambda function.</p> <p>These settings can vary between versions of a function and are locked when you publish a version. You can't modify the configuration of a published version, only the unpublished version.</p> <p>To configure function concurrency, use <a>PutFunctionConcurrency</a>. To grant invoke permissions to an account or AWS service, use <a>AddPermission</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceException} <p>The AWS Lambda service encountered an internal error.</p>
     *   - {ResourceNotFoundException} <p>The resource (for example, a Lambda function or access policy statement) specified in the request does not exist.</p>
     *   - {InvalidParameterValueException} <p>One of the parameters in the request is invalid. For example, if you provided an IAM role for AWS Lambda to assume in the <code>CreateFunction</code> or the <code>UpdateFunctionConfiguration</code> API, that AWS Lambda is unable to assume you will get this exception.</p>
     *   - {TooManyRequestsException} <p>Request throughput limit exceeded.</p>
     *   - {ResourceConflictException} <p>The resource already exists.</p>
     *   - {PreconditionFailedException} <p>The RevisionId provided does not match the latest RevisionId for the Lambda function or alias. Call the <code>GetFunction</code> or the <code>GetAlias</code> API to retrieve the latest RevisionId for your resource.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateFunctionConfiguration(args: UpdateFunctionConfigurationInput): Promise<UpdateFunctionConfigurationOutput>;
    updateFunctionConfiguration(args: UpdateFunctionConfigurationInput, cb: (err: any, data?: UpdateFunctionConfigurationOutput) => void): void;
}
