"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddLayerVersionPermission_1 = require("../model/operations/AddLayerVersionPermission");
var AddLayerVersionPermissionCommand = /** @class */ (function () {
    function AddLayerVersionPermissionCommand(input) {
        this.input = input;
        this.model = AddLayerVersionPermission_1.AddLayerVersionPermission;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddLayerVersionPermissionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddLayerVersionPermissionCommand;
}());
exports.AddLayerVersionPermissionCommand = AddLayerVersionPermissionCommand;
//# sourceMappingURL=AddLayerVersionPermissionCommand.js.map