"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddPermission_1 = require("../model/operations/AddPermission");
var AddPermissionCommand = /** @class */ (function () {
    function AddPermissionCommand(input) {
        this.input = input;
        this.model = AddPermission_1.AddPermission;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddPermissionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddPermissionCommand;
}());
exports.AddPermissionCommand = AddPermissionCommand;
//# sourceMappingURL=AddPermissionCommand.js.map