"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateEventSourceMapping_1 = require("../model/operations/CreateEventSourceMapping");
var CreateEventSourceMappingCommand = /** @class */ (function () {
    function CreateEventSourceMappingCommand(input) {
        this.input = input;
        this.model = CreateEventSourceMapping_1.CreateEventSourceMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateEventSourceMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateEventSourceMappingCommand;
}());
exports.CreateEventSourceMappingCommand = CreateEventSourceMappingCommand;
//# sourceMappingURL=CreateEventSourceMappingCommand.js.map