"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteFunction_1 = require("../model/operations/DeleteFunction");
var DeleteFunctionCommand = /** @class */ (function () {
    function DeleteFunctionCommand(input) {
        this.input = input;
        this.model = DeleteFunction_1.DeleteFunction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteFunctionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteFunctionCommand;
}());
exports.DeleteFunctionCommand = DeleteFunctionCommand;
//# sourceMappingURL=DeleteFunctionCommand.js.map