"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteLayerVersion_1 = require("../model/operations/DeleteLayerVersion");
var DeleteLayerVersionCommand = /** @class */ (function () {
    function DeleteLayerVersionCommand(input) {
        this.input = input;
        this.model = DeleteLayerVersion_1.DeleteLayerVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteLayerVersionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteLayerVersionCommand;
}());
exports.DeleteLayerVersionCommand = DeleteLayerVersionCommand;
//# sourceMappingURL=DeleteLayerVersionCommand.js.map