"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAccountSettings_1 = require("../model/operations/GetAccountSettings");
var GetAccountSettingsCommand = /** @class */ (function () {
    function GetAccountSettingsCommand(input) {
        this.input = input;
        this.model = GetAccountSettings_1.GetAccountSettings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAccountSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAccountSettingsCommand;
}());
exports.GetAccountSettingsCommand = GetAccountSettingsCommand;
//# sourceMappingURL=GetAccountSettingsCommand.js.map