"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetFunction_1 = require("../model/operations/GetFunction");
var GetFunctionCommand = /** @class */ (function () {
    function GetFunctionCommand(input) {
        this.input = input;
        this.model = GetFunction_1.GetFunction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetFunctionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetFunctionCommand;
}());
exports.GetFunctionCommand = GetFunctionCommand;
//# sourceMappingURL=GetFunctionCommand.js.map