"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetLayerVersion_1 = require("../model/operations/GetLayerVersion");
var GetLayerVersionCommand = /** @class */ (function () {
    function GetLayerVersionCommand(input) {
        this.input = input;
        this.model = GetLayerVersion_1.GetLayerVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetLayerVersionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetLayerVersionCommand;
}());
exports.GetLayerVersionCommand = GetLayerVersionCommand;
//# sourceMappingURL=GetLayerVersionCommand.js.map