"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetPolicy_1 = require("../model/operations/GetPolicy");
var GetPolicyCommand = /** @class */ (function () {
    function GetPolicyCommand(input) {
        this.input = input;
        this.model = GetPolicy_1.GetPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetPolicyCommand;
}());
exports.GetPolicyCommand = GetPolicyCommand;
//# sourceMappingURL=GetPolicyCommand.js.map