"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var InvokeAsync_1 = require("../model/operations/InvokeAsync");
var InvokeAsyncCommand = /** @class */ (function () {
    function InvokeAsyncCommand(input) {
        this.input = input;
        this.model = InvokeAsync_1.InvokeAsync;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    InvokeAsyncCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return InvokeAsyncCommand;
}());
exports.InvokeAsyncCommand = InvokeAsyncCommand;
//# sourceMappingURL=InvokeAsyncCommand.js.map