"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListAliases_1 = require("../model/operations/ListAliases");
var ListAliasesCommand = /** @class */ (function () {
    function ListAliasesCommand(input) {
        this.input = input;
        this.model = ListAliases_1.ListAliases;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListAliasesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListAliasesCommand;
}());
exports.ListAliasesCommand = ListAliasesCommand;
//# sourceMappingURL=ListAliasesCommand.js.map