"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListEventSourceMappings_1 = require("../model/operations/ListEventSourceMappings");
var ListEventSourceMappingsCommand = /** @class */ (function () {
    function ListEventSourceMappingsCommand(input) {
        this.input = input;
        this.model = ListEventSourceMappings_1.ListEventSourceMappings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListEventSourceMappingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListEventSourceMappingsCommand;
}());
exports.ListEventSourceMappingsCommand = ListEventSourceMappingsCommand;
//# sourceMappingURL=ListEventSourceMappingsCommand.js.map