"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListFunctions_1 = require("../model/operations/ListFunctions");
var ListFunctionsCommand = /** @class */ (function () {
    function ListFunctionsCommand(input) {
        this.input = input;
        this.model = ListFunctions_1.ListFunctions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListFunctionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListFunctionsCommand;
}());
exports.ListFunctionsCommand = ListFunctionsCommand;
//# sourceMappingURL=ListFunctionsCommand.js.map