"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListLayerVersions_1 = require("../model/operations/ListLayerVersions");
var ListLayerVersionsCommand = /** @class */ (function () {
    function ListLayerVersionsCommand(input) {
        this.input = input;
        this.model = ListLayerVersions_1.ListLayerVersions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListLayerVersionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListLayerVersionsCommand;
}());
exports.ListLayerVersionsCommand = ListLayerVersionsCommand;
//# sourceMappingURL=ListLayerVersionsCommand.js.map