"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListLayers_1 = require("../model/operations/ListLayers");
var ListLayersCommand = /** @class */ (function () {
    function ListLayersCommand(input) {
        this.input = input;
        this.model = ListLayers_1.ListLayers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListLayersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListLayersCommand;
}());
exports.ListLayersCommand = ListLayersCommand;
//# sourceMappingURL=ListLayersCommand.js.map