"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutFunctionConcurrency_1 = require("../model/operations/PutFunctionConcurrency");
var PutFunctionConcurrencyCommand = /** @class */ (function () {
    function PutFunctionConcurrencyCommand(input) {
        this.input = input;
        this.model = PutFunctionConcurrency_1.PutFunctionConcurrency;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutFunctionConcurrencyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutFunctionConcurrencyCommand;
}());
exports.PutFunctionConcurrencyCommand = PutFunctionConcurrencyCommand;
//# sourceMappingURL=PutFunctionConcurrencyCommand.js.map