"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemovePermission_1 = require("../model/operations/RemovePermission");
var RemovePermissionCommand = /** @class */ (function () {
    function RemovePermissionCommand(input) {
        this.input = input;
        this.model = RemovePermission_1.RemovePermission;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemovePermissionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemovePermissionCommand;
}());
exports.RemovePermissionCommand = RemovePermissionCommand;
//# sourceMappingURL=RemovePermissionCommand.js.map