"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateEventSourceMapping_1 = require("../model/operations/UpdateEventSourceMapping");
var UpdateEventSourceMappingCommand = /** @class */ (function () {
    function UpdateEventSourceMappingCommand(input) {
        this.input = input;
        this.model = UpdateEventSourceMapping_1.UpdateEventSourceMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateEventSourceMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateEventSourceMappingCommand;
}());
exports.UpdateEventSourceMappingCommand = UpdateEventSourceMappingCommand;
//# sourceMappingURL=UpdateEventSourceMappingCommand.js.map