"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddLayerVersionPermissionInput_1 = require("../shapes/AddLayerVersionPermissionInput");
var AddLayerVersionPermissionOutput_1 = require("../shapes/AddLayerVersionPermissionOutput");
var ServiceException_1 = require("../shapes/ServiceException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceConflictException_1 = require("../shapes/ResourceConflictException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var PolicyLengthExceededException_1 = require("../shapes/PolicyLengthExceededException");
var PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddLayerVersionPermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddLayerVersionPermission",
    http: {
        method: "POST",
        requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy"
    },
    input: {
        shape: AddLayerVersionPermissionInput_1.AddLayerVersionPermissionInput
    },
    output: {
        shape: AddLayerVersionPermissionOutput_1.AddLayerVersionPermissionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: PolicyLengthExceededException_1.PolicyLengthExceededException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=AddLayerVersionPermission.js.map