"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddPermissionInput_1 = require("../shapes/AddPermissionInput");
var AddPermissionOutput_1 = require("../shapes/AddPermissionOutput");
var ServiceException_1 = require("../shapes/ServiceException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceConflictException_1 = require("../shapes/ResourceConflictException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var PolicyLengthExceededException_1 = require("../shapes/PolicyLengthExceededException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddPermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddPermission",
    http: {
        method: "POST",
        requestUri: "/2015-03-31/functions/{FunctionName}/policy"
    },
    input: {
        shape: AddPermissionInput_1.AddPermissionInput
    },
    output: {
        shape: AddPermissionOutput_1.AddPermissionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: PolicyLengthExceededException_1.PolicyLengthExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=AddPermission.js.map