"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetFunctionInput_1 = require("../shapes/GetFunctionInput");
var GetFunctionOutput_1 = require("../shapes/GetFunctionOutput");
var ServiceException_1 = require("../shapes/ServiceException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetFunction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetFunction",
    http: {
        method: "GET",
        requestUri: "/2015-03-31/functions/{FunctionName}"
    },
    input: {
        shape: GetFunctionInput_1.GetFunctionInput
    },
    output: {
        shape: GetFunctionOutput_1.GetFunctionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=GetFunction.js.map