"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetPolicyInput_1 = require("../shapes/GetPolicyInput");
var GetPolicyOutput_1 = require("../shapes/GetPolicyOutput");
var ServiceException_1 = require("../shapes/ServiceException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetPolicy",
    http: {
        method: "GET",
        requestUri: "/2015-03-31/functions/{FunctionName}/policy"
    },
    input: {
        shape: GetPolicyInput_1.GetPolicyInput
    },
    output: {
        shape: GetPolicyOutput_1.GetPolicyOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=GetPolicy.js.map