"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsInput_1 = require("../shapes/ListTagsInput");
var ListTagsOutput_1 = require("../shapes/ListTagsOutput");
var ServiceException_1 = require("../shapes/ServiceException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTags",
    http: {
        method: "GET",
        requestUri: "/2017-03-31/tags/{ARN}"
    },
    input: {
        shape: ListTagsInput_1.ListTagsInput
    },
    output: {
        shape: ListTagsOutput_1.ListTagsOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListTags.js.map