"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveLayerVersionPermissionInput_1 = require("../shapes/RemoveLayerVersionPermissionInput");
var RemoveLayerVersionPermissionOutput_1 = require("../shapes/RemoveLayerVersionPermissionOutput");
var ServiceException_1 = require("../shapes/ServiceException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveLayerVersionPermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveLayerVersionPermission",
    http: {
        method: "DELETE",
        requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy/{StatementId}"
    },
    input: {
        shape: RemoveLayerVersionPermissionInput_1.RemoveLayerVersionPermissionInput
    },
    output: {
        shape: RemoveLayerVersionPermissionOutput_1.RemoveLayerVersionPermissionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=RemoveLayerVersionPermission.js.map