"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateFunctionCodeInput_1 = require("../shapes/UpdateFunctionCodeInput");
var UpdateFunctionCodeOutput_1 = require("../shapes/UpdateFunctionCodeOutput");
var ServiceException_1 = require("../shapes/ServiceException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var CodeStorageExceededException_1 = require("../shapes/CodeStorageExceededException");
var PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateFunctionCode = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateFunctionCode",
    http: {
        method: "PUT",
        requestUri: "/2015-03-31/functions/{FunctionName}/code"
    },
    input: {
        shape: UpdateFunctionCodeInput_1.UpdateFunctionCodeInput
    },
    output: {
        shape: UpdateFunctionCodeOutput_1.UpdateFunctionCodeOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: CodeStorageExceededException_1.CodeStorageExceededException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=UpdateFunctionCode.js.map