"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateFunctionConfigurationInput_1 = require("../shapes/UpdateFunctionConfigurationInput");
var UpdateFunctionConfigurationOutput_1 = require("../shapes/UpdateFunctionConfigurationOutput");
var ServiceException_1 = require("../shapes/ServiceException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ResourceConflictException_1 = require("../shapes/ResourceConflictException");
var PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateFunctionConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateFunctionConfiguration",
    http: {
        method: "PUT",
        requestUri: "/2015-03-31/functions/{FunctionName}/configuration"
    },
    input: {
        shape: UpdateFunctionConfigurationInput_1.UpdateFunctionConfigurationInput
    },
    output: {
        shape: UpdateFunctionConfigurationOutput_1.UpdateFunctionConfigurationOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=UpdateFunctionConfiguration.js.map