"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LambdaClient_1 = require("../../LambdaClient");
var ListFunctionsCommand_1 = require("../../commands/ListFunctionsCommand");
var InvokeCommand_1 = require("../../commands/InvokeCommand");
describe("@aws-sdk/client-lambda-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListFunctions should succeed when given correct input", function (done) {
        var client = new LambdaClient_1.LambdaClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listFunctions = new ListFunctionsCommand_1.ListFunctionsCommand({});
        client
            .send(listFunctions)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("Invoke should fail when given bad input", function (done) {
        var client = new LambdaClient_1.LambdaClient({
            region: defaultRegion,
            credentials: credentials
        });
        var invoke = new InvokeCommand_1.InvokeCommand({
            FunctionName: "bogus-function"
        });
        client
            .send(invoke)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map